Loading...
Searching...
No Matches
field_lazy_node.h File Reference

Go to the source code of this file.

## Classes

class | field_lazy_unop< Unop, Expr >
struct | is_field_lazy< field_lazy_unop< Unop, Expr > >
class | field_lazy_add< Binop, Expr1, Expr2 >
struct | is_field_lazy< field_lazy_add< Binop, Expr1, Expr2 > >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_field_lazy_unop(OP, NAME)
| -u, +u: see the `field` page for the full documentation
#define | _RHEOLEF_field_lazy_add(OP, NAME)
| u+v, u-v: see the `field` page for the full documentation

## Functions

| _RHEOLEF_field_lazy_unop (+, details::unary_plus) _RHEOLEF_field_lazy_unop(-
| _RHEOLEF_field_lazy_add (+, plus) _RHEOLEF_field_lazy_add(-

## Macro Definition Documentation

## _RHEOLEF_field_lazy_unop

#define _RHEOLEF_field_lazy_unop | ( |  | OP,
|  |  | NAME
| ) |  |

Value:
template<class Expr, class Sfinae = typename std::enable_if<details::is_field_lazy<Expr>::value, Expr>::type> \
details::field_lazy_unop<NAME,Expr> \
operator OP (const Expr& u) \
{ \
return details::field_lazy_unop<NAME,Expr> (NAME(),u); \
}
u
Definition leveque.h:25

-u, +u: see the `field` page for the full documentation

Definition at line 106 of file field_lazy_node.h.

## _RHEOLEF_field_lazy_add

#define _RHEOLEF_field_lazy_add | ( |  | OP,
|  |  | NAME
| ) |  |

u+v, u-v: see the `field` page for the full documentation

Definition at line 222 of file field_lazy_node.h.